<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Request;
        
class GetBusinessLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    public ?string $timezone = null;
    /** @var string[]|null $businessTypes */
    public ?array $businessTypes = null;
    public ?string $locationSearchQuery = null;
    /** @var string[]|null $locationFavorites */
    public ?array $locationFavorites = null;
    public ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination = null;

    /**
     * @param  string[]|null  $businessTypes 
     * @param  string[]|null  $locationFavorites 
     */
    public function __construct(?string $timezone, ?array $businessTypes, ?string $locationSearchQuery, ?array $locationFavorites, ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination $pagination)
    {
        $this->timezone = $timezone;
        $this->businessTypes = $businessTypes;
        $this->locationSearchQuery = $locationSearchQuery;
        $this->locationFavorites = $locationFavorites;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Businesspages\V1\Request\BusinessLocationPagination
    {
        return $this->pagination;
    }
}