<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class ActivityResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasCreatedBy, \Bushelpowered\Api\Common\HasUpdatedBy
{
    public string $id;
    public string $activityType;
    public string $content;
    public ?string $assignedTo = null;
    /** @var null|string $dueDate of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $dueDate = null;
    public ?string $completedBy = null;
    /** @var null|string $completedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $completedAt = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    public string $createdBy;
    public string $updatedBy;

    /**
     * @param  null|string  $dueDate of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $completedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $activityType, string $content, ?string $assignedTo, ?string $dueDate, ?string $completedBy, ?string $completedAt, string $createdAt, string $updatedAt, string $createdBy, string $updatedBy)
    {
        $this->id = $id;
        $this->activityType = $activityType;
        $this->content = $content;
        $this->assignedTo = $assignedTo;
        $this->dueDate = $dueDate;
        $this->completedBy = $completedBy;
        $this->completedAt = $completedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    public function getCreatedBy(): string
    {
        return $this->createdBy;
    }
    public function getUpdatedBy(): string
    {
        return $this->updatedBy;
    }
}